import request from '@/utils/request'

// 分页
export function page(query){
  return request({
    url: `/appBanner/page`,
    method: 'get',
    params: query
  })
}

// 新增
export function submit(data){
  return request({
    url: `/appBanner/save`,
    method: 'post',
    data
  })
}

// 修改上下架状态
export function changeStatus(data){
  return request({
    url: `/appBanner/updateStatus`,
    method: 'post',
    data
  })
}

// 删除
export function remove(data){
  return request({
    url: `/appBanner/remove`,
    method: 'post',
    data
  })
}

// 详情
export function detail(query){
  return request({
    url: `/appBanner/get`,
    method: 'get',
    params: query
  })
}

// 编辑
export function edit(data){
  return request({
    url: `/appBanner/update`,
    method: 'post',
    data
  })
}